> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myhero.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve published project branding

> Returns the `company` and `callToAction` branding for the project that owns the given `publishedId` (or the slug-resolved portal when `publishedId` is `home`).

Returns `null` when no branding has been configured.



## OpenAPI

````yaml get /published/{publishedId}/branding
openapi: 3.1.0
info:
  title: HERO API
  version: current
  description: |-
    The HERO REST API.

    See https://developers.myhero.so for the rendered docs.
servers:
  - url: https://app.myhero.so
security: []
paths:
  /published/{publishedId}/branding:
    get:
      tags:
        - Published
      summary: Retrieve published project branding
      description: >-
        Returns the `company` and `callToAction` branding for the project that
        owns the given `publishedId` (or the slug-resolved portal when
        `publishedId` is `home`).


        Returns `null` when no branding has been configured.
      operationId: getPublishedProjectBranding
      parameters:
        - schema:
            type: string
            minLength: 1
          required: true
          name: publishedId
          in: path
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type:
                      - object
                      - 'null'
                    properties:
                      company:
                        type: object
                        properties:
                          name:
                            type: string
                          logo:
                            type: string
                          url:
                            type: string
                      callToAction:
                        type: object
                        properties:
                          icon:
                            type: object
                            properties:
                              name:
                                type: string
                              color:
                                type: string
                            required:
                              - name
                              - color
                          text:
                            type: string
                          url:
                            type: string
                required:
                  - data
        '404':
          description: 404 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: HERO personal access token

````